Add money to a Wallet with checkout link

Generate a checkout link to add money for the wallet.

post
Query parameters
currencyCodestringRequired

The currency code. The currency code must be a valid ISO 4217 currency code.

amountnumber · doubleRequired

The amount to add. The amount must be greater than 0.

returnLinkstring · uriRequired

The return link after the payment is successful.

cancelLinkstring · uriRequired

The cancel link after the payment is canceled.

testModebooleanOptional

The test mode. By default, it is false.

Default: false
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
200

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

datastring · nullableRead-onlyOptional

This is the data to be returned to the client.

post
/api/v1/wallets/add-money/checkout-link

Last updated